<?

require_once("quickdat_misc.php");
$path = getQuery("path", "");
$path = validatePath($path);

handlePaper();

function handlePaper()
{
    global $path;

    $mode = getQuery("mode");
    $paper = getQuery("paper");
    writeHtmlHeader("Paper");
    $filePath = "papers/" . $path . ".txt";

    if ($mode == "askDelete")
    {
        ?>
        <p><em>Delete the paper?</em>
                [<a href="paper.php?mode=delete&amp;path=<?=$path?>">Yes</a> /
                <a href="paper.php?path=<?=$path?>">No</a>]</p>
        <?
    }
    else if ($mode == "delete")
    {
        unlink($filePath);
        echo "<p>The paper has been deleted</p>";
    }
    else
    {

        $paper = str_replace("\\\\", "\\", $paper);

        if ($mode == "save")
        {
            savePaper($paper);
        }
        else
        {
            $paper = getPaper();
        }
   
        ?>
        <form action="paper.php" method="post">
            <div class="paper">
            <textarea cols="72" rows="22" name="paper"><?=getXmlToText($paper)?></textarea>
            <br />
            <input type="hidden" name="mode" value="save" />
            <input type="hidden" name="path" value="<?=$path?>" />
            <input type="submit" value="Save" />
            </div>
            <? if ( file_exists($filePath) ) { ?>
            <p><strong><?=$path?></strong> |
                Last change: <?= date( "F d, Y - H:i", fileMTime($filePath) ) ?>
                | <span class="delete"><a href="paper.php?path=<?=$path?>&amp;mode=askDelete">Delete paper</a></span>
            </p>
            <? } ?>
            <? if ( !(strStr($filePath, "notes-") === false) ) { ?>
                <p class="calendarLink"><img src="style/calendar.gif" alt="" />&nbsp;<a
                        href="calendar.php">Calendar</a>
                </p>
            <? } ?>
        </form>
        <?
    }
    writeHtmlFooter();
}

function getPaper()
{
    global $path;
    $s = "";
    $filePath = "papers/" . $path . ".txt";
    if ( file_exists($filePath) )
        $s = getFileText($filePath);

    return $s;
}

function savePaper($s)
{
    global $path;
    if ($path != "")
    {
        $writeOnly = "w";
        $filePointer = fOpen("papers/" . $path . ".txt", $writeOnly);
        fWrite($filePointer, $s);
    }
}

?>