<?
require_once("quickdat_misc.php");

writeHtmlHeader("Time zones");

?>

<div class="timeZoneContent">

<img src="style/time_zones.gif" alt="" id="timeZones" />
<?

// German server, GMT + 1

$gmt = 12;
$oldDate = "";
$alternate = true;

for ($h = 24 - 1; $h >= 0; $h--)
{
    $timeDiff = $h - $gmt;
    $timeAdjust = ($timeDiff * 60 * 60);
    $date = date("l, dS M Y", time() + $timeAdjust);
    $time = date("H:i", time() + $timeAdjust);

    $alternate = !$alternate;

    $left = intVal(21 + $h * 24.3);
    $top = ($alternate) ? 11 + ($h * 13) : 11 + 313 - ($h * 13);
    echo "<div class=\"cities\" id=\"cities" . $h . "\" style=\"left: " . $left .
            "px; top: " . $top . "px;\">";
    if ($oldDate != $date)
    {
        echo $date . " - ";
        $oldDate = $date;
    }

    if ($timeDiff == 0)
    {
        echo "<span class=\"serverLocation\">" . $time . "</span>";
    }
    else if ($h + 1 == $gmt)
    {
        echo "<span class=\"gmt\">" . $time . "</span>";
    }
    else
    {
        echo $time;
    }

    $s = "";
    $dst = 1;
    switch ($h + 1)
    {
        case $gmt + 12:
            $s = "Fidji";
            break;
        case $gmt + 11:
            $s = "Magadan";
            break;
        case $gmt + 10:
            $s = "Melbourne, Sidney";
            break;
        case $gmt + 9:
            $s = "Seoul";
            break;
        case $gmt + 8:
            $s = "Peking, Hong Kong";
            break;
        case $gmt + 7:
            $s = "Bangkok, Hanoi";
            break;
        case $gmt + 6:
            $s = "Astana";
            break;
        case $gmt + 5:
            $s = "Karatschi";
            break;
        case $gmt + 4:
            $s = "Abu Dhabi";
            break;
        case $gmt + 3:
            $s = "Moscow";
            break;
        case $gmt + 2:
            $s = "Athens";
            break;
        case $gmt + 1:
            $s = "Berlin, Rome, Paris";
            break;
        case $gmt:
            $s = "London";
            break;
        case $gmt - 3:
            $s = "Buenos Aires";
            break;
        case $gmt - 5:
            $s = "N.Y., Montreal";
            break;
        case $gmt - 6:
            $s = "Mexico City, Chicago";
            break;
        case $gmt - 7:
            $s = "Arizona, Denver";
            break;
        case $gmt - 8:
            $s = "L.A., Vancouver";
            break;
   }

    if ($s != "")
        echo ": " . $s;

    echo "</div>\r";
    echo "<div class=\"legend\">Legend: " . 
            "<span class=\"gmt\">Greenwich Mean Time</span> | " .
            "<span class=\"serverLocation\">Server location</span>" .
            " - <em>Fixed DST from server location used</em></div>";
}

writeHtmlFooter();

echo "</div>";

?>